Import sequences from Shotgun. Send a JSON list of Shotgun rows. A row that exists in Kitsu, with the same Shotgun identifier, is updated. Else, it is created. A row that misses a field is skipped. A row whose project is not in Kitsu is skipped. A row whose name, episode and project match another sequence is skipped. If the sequence exists with the same Shotgun identifier and another sequence has the same name, only its description and Shotgun identifier are updated. You must be an administrator.
POST
/import/shotgun/sequences
curl
curl -X POST "http://api.example.com/import/shotgun/sequences" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": 12345,
"code": "SQ01",
"description": "Main sequence",
"project": {
"name": "My Project"
},
"episode": {
"id": 11111
}
}
]'
import requests
url = "http://api.example.com/import/shotgun/sequences"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": 12345,
"code": "SQ01",
"description": "Main sequence",
"project": {
"name": "My Project"
},
"episode": {
"id": 11111
}
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request example
[
{
"id": 12345,
"code": "SQ01",
"description": "Main sequence",
"project": {
"name": "My Project"
},
"episode": {
"id": 11111
}
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "SQ01",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]